Bug 1702657 - reapply of MTU does not work
Summary: reapply of MTU does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1694958
TreeView+ depends on / blocked
 
Reported: 2019-04-24 11:36 UTC by Thomas Haller
Modified: 2019-08-06 13:17 UTC (History)
11 users (show)

Fixed In Version: NetworkManager-1.18.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:16:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2302 None None None 2019-08-06 13:17:10 UTC

Description Thomas Haller 2019-04-24 11:36:36 UTC
Reapplying the MTU does (most of the time) not work:

  nmcli device modify "$DEVICE" ethernet.mtu $((1400 + RANDOM % 100))


I think this is due to https://cgit.freedesktop.org/NetworkManager/NetworkManager/tree/src/devices/nm-device.c?id=17adf58d5dc5d8253f2322e92b96bd176476b6f3#n9074 and https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=2f8917237fdfb3e4da80989131cc1880013b9e92 (from 1.12.0)

Comment 7 Vladimir Benes 2019-05-17 08:08:19 UTC
MTU check added to @device_reapply_all test.
https://gitlab.freedesktop.org/NetworkManager/NetworkManager-ci/commit/ffc2d22df32cca9137bef4b224f653ca2a5ac9a4

Comment 9 errata-xmlrpc 2019-08-06 13:16:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2302


Note You need to log in before you can comment on or make changes to this bug.